WordPress.org

Ready to get started?Download WordPress

Forums

eShop
[closed] Google Base not accepting product feed (11 posts)

  1. lwzeadie
    Member
    Posted 3 years ago #

    Google Base is not accepting the XML file for my products, it says the 'condition' element is missing. I don't see any 'condition' elements in the output either.

    http://wordpress.org/extend/plugins/eshop/

  2. elfin
    Moderator
    Plugin Author

    Posted 2 years ago #

    thanks, I'll look into it for the next release.

  3. danmont
    Member
    Posted 2 years ago #

    Is there a temporary fix that the users of eShop can implement to make it work till the new version of eShop comes out?

  4. elfin
    Moderator
    Plugin Author

    Posted 2 years ago #

    ahh thanks for bumping this - usually don't like it but in this case...

    it isn't a bug.

    go to this page:
    Settings > eShop > Base

    and fill in as necessary.

    then go to this page:
    eShop > Base
    and click the sku of each product to adjust for each one.

  5. clercqr
    Member
    Posted 2 years ago #

    I do still mis a lot information like:
    google product category
    availability
    image link

    When will this be fixed?

  6. elfin
    Moderator
    Plugin Author

    Posted 2 years ago #

    image link is already in there, if you have chosen a featured image for that products post/page.

    Product type is already in there.

    availability might not be though.

    I wasn't able to redo the google base feed data for the release, as it really requires a major rewrite, but when I get chance I'll see if I can add in some hooks for other items to be added in via a second plugin.

  7. robscott
    Member
    Posted 2 years ago #

    Yes, "availability" is required for Google Products. Pretty sure it only has to be <g:availability>yes</g:availability> which suggests that it should be able to hook directly off the "in stock" info.

    If you can point me in the right direction, I can fix this - I've not yet delved into any files for this (set up an online shop for a friend at http://entwistles.net and am trying to get Google Products working for them!)

    Needs fixing, as the error is keeping all the products out.

    Several other "warnings" but they are not so important.

    All help gratefully received!

  8. robscott
    Member
    Posted 2 years ago #

    Sorry, correct info re availability is:

    <g:availability>in stock</g:availability>

    Can choose from:

    'in stock'
    'available for order'
    'out of stock'
    'preorder'

    Basically, I want everything that is available to have the 'in stock' added to it - which file would I update to achieve this?

  9. robscott
    Member
    Posted 2 years ago #

    Okay, I have got a working hack for this now. I have added

    <g:availability>in stock</g:availability>

    Into the file "eshop/eshop-base-feed.php" for each. Obviously, it would be better if this were triggered by an "if in stock" statement, but we can just delete products that aren't in stock. It actually wouldn't be too hard to do the "if..." statement, but I don't quite know which attribute to go off for this by looking :)

    I also removed the "Payment Accepted" part as this is no longer supported by Google Merchant center.

    I can put my hacked file up for you guys somewhere if you want a badly written workaround to download today ;)

  10. esmi
    Theme Diva & Forum Moderator
    Posted 2 years ago #

    The Google Base scripts will be updated if/when we have the spare time to rewrite that entire script.

  11. 3dolab
    Member
    Posted 2 years ago #

    Thanks robscott, I would really like to test your patched script and maybe further improve it, if necessary & possible.

    Can you please paste it to a site like codepad or pastebin?

    I guess we have to add some fields in the product admin screen in order to set gtin & mpn codes, brands, product categories, product types and everything is needed to properly submit the feed to Google Base.

    I made my choice to use this plugin mainly because of this feature (btw, as listed in its description), I do absolutely need it and don't want to migrate to WPEC!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags